
QGIS Application - Bug report #9118

Crash when using arrow key

2013-11-24 08:06 AM - Klas Karlsson

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:2.0.1 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:Yes Copied to github as #: 17758

Description

When I create a map and like to save it as an image I can type in a file name and get suggestions from already existing files.

If I use an arrow key to select one of these names, or click on one of them with the mouse, QGIS crashes imediately!

(attached dialog window before arrow key "down" is pressed, swedish GUI)

History

#1 - 2013-11-24 09:34 AM - Giovanni Manghi

- Target version set to Future Release - High Priority

- Priority changed from Normal to High

- Status changed from Open to Feedback

I cannot confirm it here, same platform, platform version and qgis version.

Can you post the error messages will show in the terminal (you must launch qgis from the cli) after qgis crash?

#2 - 2013-11-24 11:23 AM - Klas Karlsson

Error message:

Warning: QSpiAccessible::accessibleEvent not handled:  "8008"  obj:  QSidebar(0x6755c80, name = "sidebar") "sidebar" 

FIXME: handle dialog start. 

Interface is not valid 

Fatal: ASSERT failure in : "Got an update for an invalid inteface. Investigate this.", file atspiadaptor.cpp, line 899

QGIS died on signal -1Could not attach to process.  If your uid matches the uid of the target

process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user.  For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Operationen inte tillåten.

No thread selected

No stack.

gdb returned 0

Avbruten (SIGABRT) (minnesutskrift skapad)

#3 - 2013-11-25 02:25 AM - Matthias Kuhn

- Resolution set to up/downstream
- Status changed from Feedback to Closed

https://bugs.launchpad.net/ubuntu/+source/qtcreator/+bug/959722

it's a bug in qt-at-spi

sudo apt-get remove qt-at-spi
